<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='styles.css') }}">
</head>
<body>
    <div class="container">
        <h1>Quizz</h1>
        <form action="{{ url_for('index') }}" method="post">
            {% for question in questions %}
                <fieldset>
                    <legend>{{ question["question"] }}</legend>
                    {% for option in question["options"] %}
                        <label class="option">
                            <input type="radio" name="{{ question["question"] }}" value="{{ option }}"> {{ option }}
                        </label><br>
                    {% endfor %}
                </fieldset>
            {% endfor %}
            <button class="btn btn-primary" type="submit">Submit</button>
        </form>
              
    </div>
    {% if submitted %}
    <div class="results">
        <h2>Results</h2>
        <p>Your score: {{ score }} out of {{ total }}</p>
        <ul>
            {% for question in questions %}
                <li>
                    {{ question["question"] }} - Your answer: {{ user_answers[question["question"]] }}
                    {% if user_answers[question["question"]] == question["correct_answer"] %}
                        <span class="correct">Correct!</span>
                    {% else %}
                        <span class="incorrect">Incorrect. Correct answer: {{ question["correct_answer"] }}</span>
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
    </div>
{% endif %}
</body>
</html>
